Subject: [bug#38110] [PATCH v2 2/2] gnu: rust: Bootstrap [email-masked] by [email-masked].

From: Ludovic Courtès <[email-masked]>
Date: Fri, 08 Nov 2019 23:50:02 +0100

Hi,

Danny Milosavljevic <[email-masked]> skribis:

> * gnu/packages/patches/rustc-1.29.0-src.patch: New file.
> * gnu/local.mk (dist_patch_DATA): Add it.
> * gnu/packages/rust.scm (rust-1.19): Delete variable.
> (rust-1.20): Delete variable.
> (rust-1.21): Delete variable.
> (rust-1.22): Delete variable.
> (rust-1.23): Delete variable.
> (rust-1.24): Delete variable.
> (rust-1.25): Delete variable.
> (rust-1.26): Delete variable.
> (rust-1.27): Delete variable.
> (rust-1.28): Delete variable.
> (rust-1.29): Bootstrap from mrustc.
> [source]: Add patch.
> (rust-1.30)[inputs]: Remove llvm 3.  Add llvm 6.
> (mrustc): Update rustc-version to 1.29.0.

This is really, really cool!  I stumbled upon
<https://lobste.rs/s/utgedg/mrustc_0_9_now_with_rust_1_29_0_support>
recently and felt a relief.  :-)

I wonder if there’d be any value in keeping a couple of old versions of
Rust.  Is that something useful to Rust developers?  If not, I’m happy
to see them go!

> --- /dev/null
> +++ b/gnu/packages/patches/rustc-1.29.0-src.patch
> @@ -0,0 +1,86 @@
> +From mrustc 0.9.
> +# Add mrustc slice length intrinsics

Could you use a more meaningful name (why “-src”?) and add a link to the
upstream commit or upstream issue discussing this change?

Apart from that it looks great!

Thanks,
Ludo’.